Bug 201390 - bootstrap.sh uses $HTTP_PUB_DIRECTORY when it should be using $HTTPS_PUB_DIRECTORY
bootstrap.sh uses $HTTP_PUB_DIRECTORY when it should be using $HTTPS_PUB_DIRE...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Sanders
Red Hat Satellite QA List
: EasyFix, Patch
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2006-08-04 14:54 EDT by Guil Barros
Modified: 2011-01-05 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-05 17:49:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix HTTP vs HTTPS issue (598 bytes, patch)
2006-08-04 14:54 EDT, Guil Barros
no flags Details | Diff

  None (edit)
Description Guil Barros 2006-08-04 14:54:26 EDT
Description of problem:
The included bootstrap.sh on the Proxy Server seems to incorectly use
$HTTP_PUB_DIRECTORY when it should be using HTTP_PUB_DIRECTORY, effectively
making USING_SSL=1 not work.

Version-Release number of selected component (if applicable):
Proxy Server 4.10

How reproducible:
every time

Steps to Reproduce:
1. less /var/www/html/pub/bootstrap/bootstrap.sh
or
1. run the bootstrap on a system
  
Actual results:
...
* attempting to install corporate public CA cert
mv: cannot stat `RHN-ORG-TRUSTED-SSL-CERT': No such file or directory
...

Expected results:
* attempting to install corporate public CA cert

Additional Info:
HTTPS_PUB_DIRECTORY is set to HTTP_PUB_DIRECTORY previously in the script if
USING_SSL=0. Consequently everywhere in the script HTTPS_PUB_DIRECTORY is used
as its already set to the correct url. Seems that this is incorrectly. See
included patch.
Comment 1 Guil Barros 2006-08-04 14:54:26 EDT
Created attachment 133652 [details]
patch to fix HTTP vs HTTPS issue
Comment 2 Red Hat Bugzilla 2007-04-11 21:02:47 EDT
User bnackash@redhat.com's account has been closed
Comment 3 Red Hat Bugzilla 2007-05-03 01:40:31 EDT
User wregglej@redhat.com's account has been closed
Comment 5 Clifford Perry 2011-01-05 17:49:49 EST
The RHN Satellite 4.x and RHN Proxy 4.x products have reached their end of
life. Please see:

Satellite 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0001.html

RHN Proxy 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0002.html

This bugzilla was reported for an unspecified version of the product, but was created prior to the release of 5.x - as such we assume this bug was reported for the 4.x version of the product - which is no longer supported. 

https://access.redhat.com/support/policy/updates/satellite/
RHN Satellite and Proxy Server 5
General availability: 	June 26, 2007

We are closing this bugzilla out. If you feel this bug report should be
reviewed again since it is valid for a currently supported product version,
then please feel free to re-open this bug report. 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.